#include <time.h>
#include <stdlib.h>
#include <stdio.h>

#define NX 50
#define NY 100

int main() {
    // allocate a 2d array for 50 x 100 of integers
    int tab[NX][NY];
    // fill the array with random values from 0 to 255 (inclusive)
    srand(time(NULL));
    for (int i = 0; i < NX; ++i) {
        for (int j = 0; j < NY; ++j) {
            tab[i][j] = rand() % 256;
        }
    }
    for (int i = 0; i < NX; ++i) {
        for (int j = 0; j < NY; ++j) {
            printf("%d ", tab[i][j]);
        }
        printf("\n");
    }
}
